%global npmname mime
%global npminstdir /usr/lib/node_modules/%{npmname}
#%global deplist 

Summary: A comprehensive library for mime-type mapping
Name: nodejs-%{npmname}
Version: 1.2.5
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/bentomas/node-mime
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Comprehensive MIME type mapping API. Includes all 600+ types 
and 800+ extensions defined by the Apache project, plus additional 
types submitted by the node.js community.

%prep
rm -rf %{buildroot}
mkdir -p %{buildroot}

%build

%install
# Setup and unpack
mkdir -p %{buildroot}/%{npminstdir}
cd %{buildroot}/%{npminstdir}
tar xvfz %{SOURCE0}
cd package

# Setup the dependancies

# Run the scripts (except test scripts)

# Put everything in it's proper place
mv * ..
cd ..
rm -rf package

# Setup Binaries

%clean
rm -rf %{buildroot}

%files
%defattr(-, nobody, root, -)
%{npminstdir}

%changelog
* Thu Feb 16 2012 Troy Dawson <tdawson@redhat.com> - 1.2.5-1
- Initial build

